Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class WorkingSpec

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.WorkingSpec

Deprecated See BEA Commerce product offering

    @Deprecated
    public class WorkingSpec

extends Object

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering
`static int` | `INIT_LIST_SIZE` Deprecated See BEA Commerce product offering

Constructor Summary
`WorkingSpec(PoolQuery poolResults, QuerySpec spec, boolean isQualifier, int specPosition)` Deprecated See BEA Commerce product offering

Method Summary
`void` | `commit()` Deprecated See BEA Commerce product offering
`List` | `getResults()` Deprecated See BEA Commerce product offering
`int` | `getSpecPosition()` Deprecated See BEA Commerce product offering
`boolean` | `isSatisfied()` Deprecated See BEA Commerce product offering
`boolean` | `maxMet()` Deprecated See BEA Commerce product offering
`boolean` | `minMet()` Deprecated See BEA Commerce product offering
`void` | `resetForSet()` Deprecated See BEA Commerce product offering
`boolean` | `select()` Deprecated See BEA Commerce product offering
`void` | `set(PoolQuery poolResults, QuerySpec spec, boolean isQualifier, int specPosition)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering
`static String` | `toString(Iterator iterator, int size)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### INIT_LIST_SIZE

    public static final int INIT_LIST_SIZE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### WorkingSpec

    public WorkingSpec(PoolQuery poolResults,
                       QuerySpec spec,
                       boolean isQualifier,
                       int specPosition)

  Deprecated See BEA Commerce product offering

Method Detail

### set

    public final void set(PoolQuery poolResults,
                          QuerySpec spec,
                          boolean isQualifier,
                          int specPosition)

  Deprecated See BEA Commerce product offering

### resetForSet

    public final void resetForSet()

  Deprecated See BEA Commerce product offering

### minMet

    public final boolean minMet()

  Deprecated See BEA Commerce product offering

### maxMet

    public final boolean maxMet()

  Deprecated See BEA Commerce product offering

### getSpecPosition

    public final int getSpecPosition()

  Deprecated See BEA Commerce product offering

### isSatisfied

    public final boolean isSatisfied()

  Deprecated See BEA Commerce product offering

### commit

    public final void commit()

  Deprecated See BEA Commerce product offering

### getResults

    public final List getResults()

  Deprecated See BEA Commerce product offering

  Returns the results of the selection process or throws an exception if minimim is not met.

### select

    public final boolean select()

  Deprecated See BEA Commerce product offering

  Select a single object from this specs list held by the PoolQuery.

  Returns
    false if the selection process can not obtain an object from the PoolQuery.

### toString

    public final String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `Object`

### toString

    public static final String toString(Iterator iterator,
                                        int size)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved